CUfileFSOps(3)

NAME
CUfileFSOps

SYNOPSIS

#include <cufile.h>

  Data Fields

const char *(* fs_type )(const void *handle)
int(* getRDMADeviceList )(const void *handle, sockaddr_t **hostaddrs)
int(* getRDMADevicePriority )(const void *handle, char *, size_t, loff_t, const sockaddr_t *hostaddr)
ssize_t(* read )(const void *handle, char *, size_t, loff_t, const cufileRDMAInfo_t *)
ssize_t(* write )(const void *handle, const char *, size_t, loff_t, const cufileRDMAInfo_t *)

Field Documentation

  const char*(* CUfileFSOps::fs_type) (const void *handle)

  int(* CUfileFSOps::getRDMADeviceList) (const void *handle, sockaddr_t **hostaddrs)

  int(* CUfileFSOps::getRDMADevicePriority) (const void *handle, char *, size_t, loff_t, const sockaddr_t *hostaddr)

  ssize_t(* CUfileFSOps::read) (const void *handle, char *, size_t, loff_t, const cufileRDMAInfo_t *)

  ssize_t(* CUfileFSOps::write) (const void *handle, const char *, size_t, loff_t, const cufileRDMAInfo_t *)

Author

Generated automatically by Doxygen for GPUDirect Storage from the source code.